--[[
GraphPaper LDB : A LibDataBroker launcher for GraphPaper.
Its purpose is to provide convenient button-click access to key GraphPaper functionality.

Project Sites:
http://www.wowace.com/projects/graphpaper-ldb/
http://www.wowinterface.com/downloads/info12831-GraphPaperLDB.html

For support issues and feature requests, please use the ticket tracker at wowace.

GraphPaper may be found at:
http://www.wowinterface.com/downloads/info11481-GraphPaper.html
]]--

if not GraphPaper then return end
local L = LibStub("AceLocale-3.0"):GetLocale("GraphPaperLDB")

LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("GraphPaper", {
	type = "launcher",
	label = L["GraphPaper"],
	icon = [[Interface\AddOns\GraphPaperLDB\GraphPaperLDBIcon]],

	OnClick = function(_, msg)
		if msg == "LeftButton" then
			GraphPaper.db.profile.hide = not GraphPaper.db.profile.hide
			GraphPaper.UpdateState()
			GraphPaper.UpdateConfig()
		elseif msg == "RightButton" then
			GraphPaper.OpenConfig()
		end
	end,

	OnTooltipShow = function(tooltip)
		if not tooltip or not tooltip.AddLine then return end
		tooltip:AddLine(L["GraphPaper"])
		tooltip:AddLine("|cffffff00"..L["Left-click"]..":|r "..L["Toggles the grid"])
		tooltip:AddLine("|cffffff00"..L["Right-click"]..":|r "..L["Opens the configuration panel"])
	end,
})

-- To submit translations, please see:
-- http://www.wowace.com/projects/graphpaper-ldb/localization/
